Package twisted :: Package internet :: Module protocol :: Class ServerFactory

[show private | hide private]
[frames | no frames]

## Class ServerFactory

    Factory --+
              |
             ServerFactory

Known Subclasses:
  `HTTPFactory`, `POP3Factory`, `SMTPFactory`, `DNSServerFactory`, `NNTPFactory`, `InetdFactory`

Subclass this to indicate that your protocol.Factory is only usable for servers.

Method Summary
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol. (inherited from `Factory`)
| ``doStart`(self)` Make sure startFactory is called. (inherited from `Factory`)
| ``doStop`(self)` Make sure stopFactory is called. (inherited from `Factory`)
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector. (inherited from `Factory`)
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors. (inherited from `Factory`)

Generated by Epydoc 1.1 on Sat Feb 15 21:19:06 2003 | http://epydoc.sf.net